curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/clusters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "cluster",
"name": "<string>",
"cluster_type": "aws-eks",
"environment_names": [
"<string>"
],
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"base_domains": [
"<string>"
],
"monitoring": {
"loki_url": "<string>",
"victoria_logs_url": "<string>",
"prometheus_url": "<string>",
"kubecost_url": "<string>"
},
"default_registry_fqn": "<string>",
"workbench_config": {
"default_storage_class": "<string>"
},
"cluster_integration_fqn": "<string>",
"workflow_storage_integration_fqn": "<string>",
"supported_nodepools": [
{
"name": "<string>",
"description": "<string>"
}
]
},
"dryRun": false
}
'{
"data": {
"id": "<string>",
"fqn": "<string>",
"manifest": {
"type": "cluster",
"name": "<string>",
"cluster_type": "aws-eks",
"environment_names": [
"<string>"
],
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"base_domains": [
"<string>"
],
"monitoring": {
"loki_url": "<string>",
"victoria_logs_url": "<string>",
"prometheus_url": "<string>",
"kubecost_url": "<string>"
},
"default_registry_fqn": "<string>",
"workbench_config": {
"default_storage_class": "<string>"
},
"cluster_integration_fqn": "<string>",
"workflow_storage_integration_fqn": "<string>",
"supported_nodepools": [
{
"name": "<string>",
"description": "<string>"
}
]
},
"tenantName": "<string>",
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
}Create or Update cluster with provided manifest
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/clusters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "cluster",
"name": "<string>",
"cluster_type": "aws-eks",
"environment_names": [
"<string>"
],
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"base_domains": [
"<string>"
],
"monitoring": {
"loki_url": "<string>",
"victoria_logs_url": "<string>",
"prometheus_url": "<string>",
"kubecost_url": "<string>"
},
"default_registry_fqn": "<string>",
"workbench_config": {
"default_storage_class": "<string>"
},
"cluster_integration_fqn": "<string>",
"workflow_storage_integration_fqn": "<string>",
"supported_nodepools": [
{
"name": "<string>",
"description": "<string>"
}
]
},
"dryRun": false
}
'{
"data": {
"id": "<string>",
"fqn": "<string>",
"manifest": {
"type": "cluster",
"name": "<string>",
"cluster_type": "aws-eks",
"environment_names": [
"<string>"
],
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"base_domains": [
"<string>"
],
"monitoring": {
"loki_url": "<string>",
"victoria_logs_url": "<string>",
"prometheus_url": "<string>",
"kubecost_url": "<string>"
},
"default_registry_fqn": "<string>",
"workbench_config": {
"default_storage_class": "<string>"
},
"cluster_integration_fqn": "<string>",
"workflow_storage_integration_fqn": "<string>",
"supported_nodepools": [
{
"name": "<string>",
"description": "<string>"
}
]
},
"tenantName": "<string>",
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Returns newly created/updated cluster on success
Cluster
Show child attributes
Was this page helpful?